#### 3.10.1.1 Invoking `sieve` ¶

The `sieve` invocation syntax is:

    sieve [options] script

Normally, script is the name of the disk file with the Sieve script. If script is a single dash, the script is read from the standard input. If the `-E` (`--expression`) option is given, script is taken to be the sieve script text.

where script denotes the filename of the sieve program to parse, and options is one or more of the following:

`-c`
`--compile-only`

  Compile script and exit.

`--clear-library-path`
`--clearpath`

  Clear Sieve library path. See also clear-library-path.

`--clear-include-path`

  Clear Sieve include path. See also clear-include-path.

`-d[flags]`
`--debug[=flags]`

  Specify debug flags. The flags argument is a sequence of one or more of the following letters:

  ‘`g`’ | Enable main parser traces
  ‘`T`’ | Enable mailutils traces
  ‘`P`’ | Trace network protocols
  ‘`t`’ | Enable sieve trace
  ‘`i`’ | Trace the program instructions

`-D`
`--dump`

  Compile the script, dump disassembled code on standard output and exit.

`--environment=name=value`

  Set sieve environment variable name to the value.

`-e address`
`--email address`

  Override the user email address. This is useful for `reject` and `redirect` actions. By default, the user email address is deduced from the user name and the full name of the machine where `sieve` is executed. See also email.

`-E,`
`--expression`

  Treat the script argument as Sieve program text.

`-I dir`
`--includedir=dir`

  Append directory dir to the list of directories searched for include files. See also include-path.

`-f`
`--mbox-url=mbox`

  Mailbox to sieve (defaults to user’s system mailbox). See also mbox-url.

`-k`
`--keep-going`

  Keep on going if execution fails on a message. See also keep-going.

`-L dir`
`--libdir=dir`

  Append directory dir to the list of directories searched for library files. See also library-path.

`--libdir-prefix=dir`

  Add dir to the beginning of the list of directories searched for library files.

`--line-info=bool`

  Print source location along with action logs (default).

`-M url`
`--mailer=url`

  Define the URL of the default mailer.

`-n`
`--no-actions`
`--dry-run`

  Dry run: do not execute any actions, just print what would be done.

`--no-program-name`

  Do not prefix diagnostic messages with the program name.

`-t ticket`
`--ticket=ticket`

  Ticket file for mailbox authentication. See also ticket.

`--variable=name=value`

  Set Sieve variable name. This option automatically inserts ‘`require "variables"`’ at the top of the script.

`-v`
`--verbose`

  Log all actions executed. See also verbose.

See also Options That are Common for All Utilities..